
%global meadversion 1.0.0
%global namedversion 1.0.0.MR1-redhat-7
%global meadalpha .MR1_redhat_7
%global meadrel .1
%global serial 2

%bcond_with javadoc
%bcond_without mead
%bcond_without old_name

%global wsmdver 2.0

%define maven_version 1.0.0.MR1-redhat-7

Name:           sun-ws-metadata-2.0-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSR-181 Maintenance Release 1
License:        CDDL+GPLv2
Group:          Development/Java

%if %with mead
Source100: jsr181-api-1.0.0.MR1-redhat-7-scm-sources.zip
Source102: jsr181-api-1.0.0.MR1-redhat-7-sources.jar
Source103: jsr181-api-1.0.0.MR1-redhat-7.pom
Source104: jsr181-api-1.0.0.MR1-redhat-7-javadoc.jar
Source105: jsr181-api-1.0.0.MR1-redhat-7-project-sources.tar.gz
Source106: jsr181-api-1.0.0.MR1-redhat-7.jar
%endif

URL:            http://jcp.org/en/jsr/summary?id=181
Source1:        https://glassfish.dev.java.net/public/CDDL+GPL.html
%if %with old_name
Provides:       jsr181-api = 0:1.0-MR1
Provides:       ws_metadata_api = 0:%{wsmdver}
Provides:       ws_metadata_2_0_api = 0:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jsr181-api-%{namedversion}-%{release}-root

%description
Web Services Metadata for Java.

%if %without old_name
%package -n jsr181-api
Summary:        JSR-181 Maintenance Release 1
Provides:       jsr181-api = 0:1.0-MR1
Provides:       ws_metadata_api = 0:%{wsmdver}
Provides:       ws_metadata_2_0_api = 0:%{version}-%{release}
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif

%description -n jsr181-api
Web Services Metadata for Java.
%endif

%if %with javadoc
%package -n jsr181-api-javadoc
Summary:        Javadoc for jsr181-api
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jsr181-api-javadoc
%{summary}.
%endif

%prep
%setup -q -n jsr181-api -T -b 100
%{__cp} -p %{SOURCE1} .

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}.jar %{buildroot}%{_javadir}/jsr181-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jsr181-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jsr181-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jsr181-api.pom

# depmaps
%add_to_maven_depmap javax.jws jsr181-api %{namedversion} JPP jsr181-api
[ %{name} = "jsr181-api" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jsr181-api

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jsr181-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jsr181-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jsr181-api-%{namedversion} -x META-INF/\*
%{__ln_s} jsr181-api-%{namedversion} %{buildroot}%{_javadocdir}/jsr181-api
%endif

/bin/touch %{buildroot}%{_javadir}/ws_metadata_api.jar
/bin/touch %{buildroot}%{_javadir}/ws_metadata_2_0_api.jar

%clean
%{__rm} -rf %{buildroot}

%if %with old_name
%post
%else
%post -n jsr181-api
%endif
%{_sbindir}/update-alternatives --install %{_javadir}/ws_metadata_2_0_api.jar ws_metadata_2_0_api %{_javadir}/jsr181-api.jar 20000
%{_sbindir}/update-alternatives --install %{_javadir}/ws_metadata_api.jar ws_metadata_api %{_javadir}/jsr181-api.jar 20000
%update_maven_depmap

%if %with old_name
%preun
%else
%preun -n jsr181-api
%endif
if [ $1 == 0 ]; then
    %{_sbindir}/update-alternatives --remove ws_metadata_2_0_api %{_javadir}/jsr181-api.jar
    %{_sbindir}/update-alternatives --remove ws_metadata_api %{_javadir}/jsr181-api.jar
fi

%if %with old_name
%postun
%else
%postun -n jsr181-api
%update_maven_depmap
%endif

%if %with old_name
%files
%else
%files -n jsr181-api
%endif
%defattr(0644,root,root,0755)
%doc CDDL+GPL.html
%{_javadir}/jsr181-api-%{namedversion}.jar
%{_javadir}/jsr181-api.jar
%ghost %{_javadir}/ws_metadata_2_0_api.jar
%ghost %{_javadir}/ws_metadata_api.jar
%exclude %{_javadir}/jsr181-api-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jsr181-api-javadoc.jar
%{_javadir}/jsr181-api-%{namedversion}-sources.jar
%{_javadir}/jsr181-api-sources.jar
%{_mavenpomdir}/JPP-jsr181-api.pom
%{_mavendepmapfragdir}/jsr181-api

%if %with javadoc
%files -n jsr181-api-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jsr181-api-%{namedversion}
%{_javadocdir}/jsr181-api
%{_javadir}/jsr181-api-%{namedversion}-javadoc.jar
%{_javadir}/jsr181-api-javadoc.jar
%endif

%changelog
* Mon Feb 02 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.MR1_redhat_7.1
- rebuild rpms to fix Release

* Thu Jan 15 2015 Lin Gao <lgao@redhat.com> - 1.0.0.MR1.redhat-1_redhat_7.1
- Rebuild to fix invalid OSGI version

* Wed Nov 06 2013 David Walluck <dwalluck@redhat.com> - 1.0.MR1-16_MR1_redhat_6.1
- Plain rebuild

* Wed Nov 06 2013 David Walluck <dwalluck@redhat.com> - 1-1.0_MR1_redhat_5.1
- fix manifest and pom

* Tue Oct 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-MR1-1
- convert to MEAD

* Sat Oct 12 2013 Yong Yang <yyang@redhat.com> - 0:1.0.MR1-14_MR1_redhat_4
- Remove javadoc sub-package
- Fix sources used for deploy

* Sat Oct 12 2013 Yong Yang <yyang@redhat.com> - 0:1.0.MR1-13_MR1_redhat_4
- Deploy sources
- Update pom patch

* Tue Apr 09 2013 Hui Wang <huwang@redhat.com> - 0:1.0.MR1-12_MR1_redhat_3.5
- Update pom patch for eao 6.1.0
- Fix build patch for manifest

* Sat Sep 01 2012 Paul Gier <pgier@redhat.com> - 0:1.0.MR1-12_MR1_redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.MR1-12_MR1_redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.MR1-12_MR1_redhat_1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.MR1-12_MR1_redhat_1.1
- Rebuild using cache signing

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:1.0.MR1-12
- add pom patch
- fix jar name
- fix doc location
- javadoc requires jpackage-utils
- remove gcj_support
- remove buildmagic repo

* Mon Apr 11 2011 David Walluck <dwalluck@redhat.com> 0:1.0.MR1-11
- own alternatives links
- fix repolib option
- fix maven deps
- fix dir ownership

* Fri Apr 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.0.MR1-10.1
- Fix version to include MR1

* Thu Mar 10 2011 Hui Wang <huwang@redhat.com> 0:1.0.MR1-10
- Fix %%repodir macros

* Thu Mar 10 2011 Hui Wang <huwang@redhat.com> 0:1.0.MR1-9
- Fix version

* Thu Dec 09 2010 Hui Wang <huwang@redhat.com> 0:1.0.MR1-8
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Wed Sep 08 2010 David Walluck <dwalluck@redhat.com> 0:1.0.MR1-7
- rebuild

* Wed Sep 08 2010 David Walluck <dwalluck@redhat.com> 0:1.0.MR1-6
- fix alternatives
- fix maven support
- fix POM name
- add jws.jar symlink
- fix GCJ support
- fix javadoc
- fix repolib

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.MR1-5.1
- rebuilt

* Tue Apr 06 2010 Hui Wang <huwang@redhat.com> - 0:1.0.MR1-5
- Rebuild
- Change BR: BuildRequires:  java-devel = 0:1.5.0  to BR: BuildRequires:  java-devel >= 0:1.5.0
- Change BR: export JAVA_HOME=/usr/lib/jvm/java-1.5.0 to BR: export JAVA_HOME=/usr/lib/jvm/java-1.6.0

* Fri Nov 20 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.MR1-4
- Add manifest patch to repolib

* Fri Nov 20 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.MR1-3
- Add repolib
- Add patch to fill in manifest.mf in jar

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.0.MR1-2
- Auto rebuild for JPackage 5 in mock

* Thu Nov 08 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0.MR1-1jpp
- First release
